apiVersion: apps/v1
kind: Deployment #TODO should it be service !
metadata:
    name: tentris-devwd # Match your container name
spec:
    replicas: 1
    selector:
        matchLabels:
            app: tentris-devwd # Label for pods
    template:
        metadata:
            labels:
                app: tentris-devwd
        spec:
            containers:
                - name: tentris-devwd
                  #image: ghcr.io/tentris/tentris:v0.19.1
                  image: hub.cs.upb.de/enexa/images/tentristriplestore:0.17-1
                  ports:
                      - containerPort: 9080
                        name: http # Optional name for the port
                  volumeMounts:
                      - name: tentris-data # Volume name
                        mountPath: /data # Path to mount volume in container
                      - name: license-volume 
                        mountPath: /config/tentris-license.toml # Path to mount the file in the container
                        subPath: tentris-license.toml
                      - name: tentris-log-volume 
                        mountPath: /tmp
            volumes:
                - name: tentris-data
                  persistentVolumeClaim:
                    claimName: tentris-pvc
                - name: license-volume # New volume definition
                  configMap:
                      name: tentris-license-config # Name of the ConfigMap you created
                - name: tentris-log-volume
                  persistentVolumeClaim:
                    claimName: tentris-log-pvc
